/* %W% %E% */
/*
 * Licensed Materials - Property of IBM
 * RMI-IIOP v1.0
 * Copyright IBM Corp. 1998 1999  All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//----------------------------------------------------------------------------
// Change History:
//
// 9/98 created  rtw
//----------------------------------------------------------------------------


package ibmspace.common;

import java.io.Serializable;

public class ID implements Serializable
{
    private static int    fgNextId = 0;
    private int           fId;

    public ID ()
    {
	fId = fgNextId++;
    }

    public boolean identifies (Identifiable obj)
    {
	if ( this.equals (obj.getID()) ) {
	    return true;
	} else {
	    return false;
	}
    }

    public boolean equals (ID other)
    {
	if ( fId == other.fId )
	    return true;
	else
	    return false;
    }

}
