/* %W% %E% */
/*
 * Licensed Materials - Property of IBM
 * RMI-IIOP v1.0
 * Copyright IBM Corp. 1998 1999  All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//----------------------------------------------------------------------------
// Change History:
//
// 9/98     rtw   created
// 1/29/99  rtw   converted to an interface
//----------------------------------------------------------------------------


package ibmspace.common;

import java.awt.Point;


public interface Planet extends Identifiable
{
    ID        getID ();
    String    getName ();
    Point     getCoordinates ();
    boolean   hasSatelites ();
}


