/* %W% %E% */
/*
 * Licensed Materials - Property of IBM
 * RMI-IIOP v1.0
 * Copyright IBM Corp. 1998 1999  All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//----------------------------------------------------------------------------
// Change History:
//
// 9/98 created  rtw
//----------------------------------------------------------------------------


package ibmspace.common;


public class GameProfile implements Identifiable, java.io.Serializable
{
    private String        fGalaxyName;
    private int           fNumberOfPlanets;
    private int           fNumberOfPlayers;
    private ID            fID;

    public GameProfile (String galaxyName, int numPlanets, int numPlayers)
    {
	String fGalaxyName = galaxyName;
	fNumberOfPlanets = numPlanets;
	fNumberOfPlayers = numPlayers;
	fID = new ID ();
    }

    public ID getID ()
    {
	return fID;
    }

    public String getGalaxyName ()
    {
	return fGalaxyName;
    }

    public int getNumberOfPlanets ()
    {
	return fNumberOfPlanets;
    }

    public int getNumberOfPlayers ()
    {
	return fNumberOfPlayers;
    }

}
