/* %W% %E% */
/*
 * Licensed Materials - Property of IBM
 * RMI-IIOP v1.0
 * Copyright IBM Corp. 1998 1999  All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//----------------------------------------------------------------------------
// Change History:
//
// 9/98     rtw   created
// 1/29/99  rtw   converted to an interface
//----------------------------------------------------------------------------


package ibmspace.common;


public interface Journey extends Identifiable
{
    ID          getID ();                 // id of the journey
    Planet      getOrigin ();             // where is the fleet from?
    Planet      getDestination ();        // where is the fleet going?
    double      getPercentComplete ();    // how far has the fleet gone so far?
}


