/* %W% %E% */
/*
 * Licensed Materials - Property of IBM
 * RMI-IIOP v1.0
 * Copyright IBM Corp. 1998 1999  All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//----------------------------------------------------------------------------
// Change History:
//
// 9/98     rtw   created
// 1/29/99  rtw   created from PlanetSummary and PlanetStats
//----------------------------------------------------------------------------


package ibmspace.common;

import java.awt.Point;
import java.io.Serializable;


public interface PlanetView extends Planet
{
    long          getMetal ();
    long          getPopulation ();
    long          getIncome ();
    double        getTemp ();
    double        getGravity ();
    double        getSuitability ();
    boolean       isOwned ();
}



