/* %W% %E% */
/*
 * Licensed Materials - Property of IBM
 * RMI-IIOP v1.0
 * Copyright IBM Corp. 1998 1999  All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//----------------------------------------------------------------------------
// Change History:
//
// 9/98 created  rtw
//----------------------------------------------------------------------------


package ibmspace.common;


public class TechProfile implements java.io.Serializable
{
    private int     fRange;
    private int     fSpeed;
    private int     fWeapons;
    private int     fShields;
    private int     fMini;

    public TechProfile (int r, int sp, int w, int sh, int m)
    {
	fRange = r;
	fSpeed = sp;
	fWeapons = w;
	fShields = sh;
	fMini = m;
    }

    public int getRange ()
    {
	return fRange;
    }

    public int getSpeed ()
    {
	return fSpeed;
    }

    public int getWeapons ()
    {
	return fWeapons;
    }

    public int getShields ()
    {
	return fShields;
    }

    public int getMini ()
    {
	return fMini;
    }

    public String toString ()
    {
	String s = "(";
	s += String.valueOf (fRange) + ",";
	s += String.valueOf (fSpeed) + ",";
	s += String.valueOf (fWeapons) + ",";
	s += String.valueOf (fShields) + ",";
	s += String.valueOf (fMini) + ",";
	s += ")";
	return s;
    }

}
